Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## adjusting.availability_adjusting
Class FailurePeriod

    java.lang.Object
      adjusting.availability_adjusting.FailurePeriod

All Implemented Interfaces:
  java.io.Serializable

    public class FailurePeriod

extends java.lang.Object
implements java.io.Serializable

This class resembles an artificial failure period that happens to server. A collection of these objects construct a Failure Trace for a specific Server object.

Author:
  Majd Kokaly
See Also:
  `FailureTrace`, Serialized Form

Constructor Summary
`FailurePeriod(java.util.GregorianCalendar beginningTime, java.util.GregorianCalendar endTime)` The default constructor

Method Summary
`java.util.GregorianCalendar` | `getBeginningTime()`
`java.util.GregorianCalendar` | `getEndTime()`
`double` | `getLengthInMillis()`
`double` | `getLengthInMinutes()`
`void` | `print()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FailurePeriod

    public FailurePeriod(java.util.GregorianCalendar beginningTime,
                         java.util.GregorianCalendar endTime)

  The default constructor

  Parameters:
    `beginningTime` - To set the data member beginningTime.
    `endTime` - To set the data member endTime.

Method Detail

### getBeginningTime

    public java.util.GregorianCalendar getBeginningTime()

### getEndTime

    public java.util.GregorianCalendar getEndTime()

### getLengthInMinutes

    public double getLengthInMinutes()

  Returns:
    the length of this period in minutes

### getLengthInMillis

    public double getLengthInMillis()

  Returns:
    the length of this period in milli seconds

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### print

    public void print()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD